
/*********** INFORMATION *****************************

- document:  SlideIt - CSS3 fixed sliding elements
- element:   Simple search form - Left
- author:    Capelle @ Codecanyon
- profile:   http://codecanyon.net/user/Capelle

*****************************************************/


/*  ==================
    1. FONTS
    ==================  */

/** 1.1. Fonts ***************/

@import url(http://fonts.googleapis.com/css?family=Lato:300); /* Delete this import if you're changing the font family */


/*  ==================
    2. RESET
    ==================  */



/***** Item reset *****/

#fb_slideit * {
	margin: 0;
	padding: 0;
	border: 0;
	outline: 0;
	font-weight: 300;
	font-style: normal;
	font-size: 100%;
	font-family: 'Lato', sans-serif; /* Edit this if you want to match the font with your template design */
	vertical-align: baseline;
	line-height: normal;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}
#fb_slideit a {
	text-decoration: none;

}
#fb_slideit input[type="radio"] {
	display: none;
}
#fb_slideit .open {
	cursor: pointer;
}
/* === Note === If you experience issues with reset above, please adjust the selectors and values according to your template/website.
When adjusting the reset is adviced to check up the elements on your page, as they might distort. */


/*  ==================
    3. MAIN STYLES
    ==================  */

#fb_slideit {
	z-index: 9999; /* Keep the item above all other elements on the page */
	position: fixed;
	width: auto;
	height: 100%;
	top: 90px; /* Vertical position of the elements */
	left: 0; /* Horizontal position of the elements */
}

/***** Form styles *****/

#fb_slideit section {
	margin: 0;
	width: 320px;
	height: auto;
	left: 0;
	top: 20%;
	position: absolute;
	z-index: 10;
	background: #fff;
	-webkit-backface-visibility: hidden; /* Webkit transition hack */
	/* Section animation upon opening */
	-webkit-transition: all 0.4s cubic-bezier(0.2, 0.6, 0.3, 1);
	-moz-transition: all 0.4s cubic-bezier(0.2, 0.6, 0.3, 1);
	-ms-transition: all 0.4s cubic-bezier(0.2, 0.6, 0.3, 1);
	-o-transition: all 0.4s cubic-bezier(0.2, 0.6, 0.3, 1);
	transition: all 0.4s cubic-bezier(0.2, 0.6, 0.3, 1);
	/* Section position when closed */
	-webkit-transform: translateX(-100%);
	-moz-transform: translateX(-100%);
	-ms-transform: translateX(-100%);
	-o-transform: translateX(-100%);
	transform: translateX(-100%);
}
#fb_slideit section:hover {
	/* Section position when opened */
	-webkit-transform: translateX(0);
	-moz-transform: translateX(0);
	-ms-transform: translateX(0);
	-o-transform: translateX(0);
	transform: translateX(0);
}
#fb_slideit section:hover > .open {
	opacity: 0.2;
}
#fb_slideit section .wrap {
	padding: 30px;
	position: relative;
	border-bottom: 6px solid #A7ABC6;
}
#fb_slideit .field {
	width: 100%;
	position: relative;
	display: block;
}

/***** Labels *****/

#fb_slideit .open {
	text-align: center;
	position: absolute;
	background: #222;
	width: 100px; /* wysokosc */
	height: 40px; /* szerokosc */
	line-height: 40px;
	top: 290px;
	left: auto;
	right: -70px;
	bottom: auto;
	margin: 0 auto;
	padding: 0;
	z-index: 9998;
	-webkit-transform: rotate(90deg); /* obrot o 90 stopni */
	-moz-transform: rotate(90deg); /* wiec wysokosc zamienia sie z szerokoscia */
	-o-transform: rotate(90deg); /* obrot o 90 stopni */
	filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=1); /* obrot o 90 stopni dla IE */
	background: #3b5999;
	color: #fff;
	font-weight: bold;
	font-family: Verdana;
	font-size: 16px;
}


/***** Inputs *****/

#fb_slideit input {
	display: block;
	width: 100%;
	border-bottom: solid 1px #ddd;
	padding: 0 20px 6px 30px;
	font-size: 14px;
	color: #222;
	position: relative;
}
#fb_slideit input:hover,
#fb_slideit input:focus {
	border-bottom-color: #222;
	outline: none;
}
#fb_slideit input.search-btn {
	content: "";
	background: #fff url("img/search.png") no-repeat right;
	width: 20px;
	height: 20px;
	cursor: pointer;
	border: none;
	outline: none;
	position: absolute;
	top: -2px;
	left: 0;
	padding: 0;
}
#fb_slideit input.search-btn:hover,
#fb_slideit input.search-btn:focus {
	background: #fff url("img/search-focus.png") no-repeat right;
}
input[type=search]::-webkit-search-cancel-button,
input[type=search]::-webkit-search-decoration,
input[type=search]::-webkit-search-results-button,
input[type=search]::-webkit-search-results-decoration {
	-webkit-appearance: none;
}
input[type=search] {
	-webkit-appearance: textfield;
	-webkit-box-sizing: content-box;
}

/***** Placeholders *****/

::-webkit-input-placeholder {
	color: #999;
}
#fb_slideit input:focus::-webkit-input-placeholder {
	color: #ccc;
}
#fb_slideit textarea:focus::-webkit-input-placeholder {
	color: #ccc;
}
:-moz-placeholder {
	color: #999;
}
#fb_slideit input:focus:-moz-placeholder {
	color: #ccc;
}
#fb_slideit textarea:focus:-moz-placeholder {
	color: #ccc;
}
::-moz-placeholder {
	color: #999;
}
#fb_slideit input:focus::-moz-placeholder {
	color: #ccc;
}
#fb_slideit textarea:focus::-moz-placeholder {
	color: #ccc;
}
:-ms-input-placeholder {
	color: #999;
}
#fb_slideit input:focus:-ms-input-placeholder {
	color: #ccc;
}
#fb_slideit textarea:focus:-ms-input-placeholder {
	color: #ccc;
}
.ie9-placeholder {
	color: #999 !important;
}
.ie9-placeholder:focus {
	color: #ccc !important;
}

/***** Transitions *****/

#fb_slideit label,
#fb_slideit input {
	-webkit-transition: all 0.1s ease-in-out;
	-moz-transition: all 0.1s ease-in-out;
	-ms-transition: all 0.1s ease-in-out;
	-o-transition: all 0.1s ease-in-out;
	transition: all 0.1s ease-in-out;
	z-index:999;
}